deepEvents
The deepEvents query in Bunny's GraphQL API, with its arguments, return type and an example request.
Scope required:
For a complete list of possible response fields see the EventConnection type.
query deepEvents ($after: String, $before: String, $first: Int, $last: Int, $objectType: String, $objectId: ID, $limit: Int, $filter: String, $sort: String) {
deepEvents (after: $after, before: $before, first: $first, last: $last, objectType: $objectType, objectId: $objectId, limit: $limit, filter: $filter, sort: $sort) {
edges {
cursor
node {
accountId
actor
actorType
code
correlationId
description
eventTimestamp
eventTimestampFormatted
eventTypeId
id
longDescription
message
objectType
parentEventUuid
payload
queryName
queryType
retriedAt
retryAction
retryable
severity
shortDescription
shortForm
target
timeAgo
uuid
}
}
totalCount
pageInfo {
startCursor
endCursor
hasNextPage
hasPreviousPage
}
}
}
ArgumentsLink to Arguments section
| Name | Type | Description |
|---|---|---|
| after | String | Returns the elements in the list that come after the specified cursor. |
| before | String | Returns the elements in the list that come before the specified cursor. |
| first | Int | Returns the first n elements from the list. |
| last | Int | Returns the last n elements from the list. |
| objectType | String | |
| objectId | ID | |
| limit | Int | |
| filter | String | |
| sort | String |